Represents a rejected product's appeal status. See Product Tagging guide for complete usage details.
POST /{ig-user-id}/product_appeal
Appeal a rejected product.
| Type | Requirement |
|---|---|
Access Tokens | User |
The app user must have an admin role on the Business Manager that owns the IG User's Instagram Shop. | |
The IG User must have an approved Instagram Shop with a product catalog containing products. | |
If the app user was granted a role via the Business Manager on the Facebook Page connected to the targeted IG User, you will also need one of:
|
POST https://graph.facebook.com/{api-version}/{ig-user-id}/product_appeal
?appeal_reason={appeal-reason}
&product_id={product-id}
&access_token={access-token}| Placeholder | Value |
|---|---|
| API version |
| Required. App user's app-scoped user ID. |
| Key | Placeholder | Value |
|---|---|---|
|
| Required. App user's User access token. |
|
| Required. Explanation of why the product should be approved. |
|
| Required. Product ID. |
An object indicating success or failure. Response does not indicate appeal outcome.
{
"success": {success}
}| Property | Value |
|---|---|
| Indicates if API accepted request ( |
curl -i -X POST \
"https://graph.facebook.com/v24.0/90010177253934/product_appeal?appeal_reason=product%20is%20a%20toy%20and%20not%20a%20real%20weapon&product_id=4382881195057752&access_token=EAAOc..."
{
"success": true
}GET /{ig-user-id}/product_appeal
Get appeal status of a rejected product.
| Type | Requirement |
|---|---|
Access tokens | User |
The app user must have an admin role on the Business Manager that owns the IG User's Instagram Shop. | |
The IG User must have an approved Instagram Shop with a product catalog containing products. | |
If the app user was granted a role via the Business Manager on the Facebook Page connected to the targeted IG User, you will also need one of:
|
GET https://graph.facebook.com/{api-version}/{ig-user-id}/product_appeal
?product_id={product-id}
&access_token={access-token}| Placeholder | Value |
|---|---|
| API version |
| Required. App user's app-scoped user ID. |
| Key | Placeholder | Value |
|---|---|---|
|
| Required. App user's User access token. |
|
| Required. Product ID. |
A JSON-formatted object containing an array of appeal status metadata.
{
"data": [
{
"eligible_for_appeal": {eligible-for-appeal},
"product_id": {product-id},
"review_status": "{review-status}"
}
]
}| Property | Value |
|---|---|
| Indicates if decision can be appealed (yes if |
| Product ID. |
| Review status. Value can be:
|
curl -i -X GET \
"https://graph.facebook.com/v24.0/90010177253934/product_appeal?product_id=4029274203846188&access_token=EAAOc..."
{
"data": [
{
"product_id": 4029274203846188,
"review_status": "approved",
"eligible_for_appeal": false
}
]
}This operation is not supported.
This operation is not supported.